Status: Resolved Priority: Should have
Author: Christian Müller Category: Cache
Created: 2013-07-26 Assigned To: Christian Müller
Updated: 2013-10-01 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity: easy
Subject: PhpFrontend should return original string in get
Description

The PhpFrontend automatically wraps the given string of code before setting it in the backend:

$sourceCode = '<?php' . chr(10) . $sourceCode . chr(10) . '#';

On get() the wrapped first and last line should be removed so you can retrieve the original piece of code that was stored in the cache.

Associated revisions
Revision bdebde07 - 2013-10-01 10:26 - Christian Müller

[TASK] PhpFrontend has a method to return original code

With this change the PhpFrontend has the added method
getWrappend(), which returns the code including the
automatically added php opening tag and ending line.
The method get() returns exactly the same string that was stored
in the cache.

Change-Id: Ifa3c705ef2053614c07c497eaabf74dd8c806731
Releases: master
Resolves: #50474

History
#1 - 2013-07-26 19:05 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22597

#2 - 2013-07-26 19:07 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22597
#3 - 2013-07-30 09:31 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22597

#4 - 2013-08-01 09:38 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22597

#5 - 2013-08-01 09:59 - Aske Ertmann
- Tracker changed from Bug to Task

#6 - 2013-08-01 09:59 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22597

#7 - 2013-09-16 18:28 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22597

#8 - 2013-09-23 23:32 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22597

#9 - 2013-10-01 10:26 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22597

#10 - 2013-10-01 10:35 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:bdebde07f3fc0a78db022900c4446c3fac6d9dbd.
